Bug 237347 (CVE-2007-2893) - CVE-2007-2893 xen NE2000 RX Frame Heap Overflow
Summary: CVE-2007-2893 xen NE2000 RX Frame Heap Overflow
Status: CLOSED NOTABUG
Alias: CVE-2007-2893
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Don Dutile
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On: 237470
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-20 21:52 UTC by Marcel Holtmann
Modified: 2007-11-02 09:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 09:42:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcel Holtmann 2007-04-20 21:52:54 UTC
A large value in the TXCNT register to exceed the available memory on
the device, this allows an attacker with root privileges in the guest
to poke unexpected data into the device, which results in a complete
compromise of the bochs process (see bx_ne2k_c::rx_frame(), where
s.mem is 32768 bytes, and values up to 0xffff can be inserted into
parameter iolen via the TXCNT register)

Comment 2 RHEL Product and Program Management 2007-05-04 13:25:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Mark J. Cox 2007-09-19 13:32:30 UTC
Public via http://taviso.decsystem.org/virtsec.pdf
note that NE2000 is not enabled by default, see
http://lists.xensource.com/archives/html/xen-devel/2007-05/msg00021.html

Comment 5 Mark J. Cox 2007-09-24 08:43:02 UTC
Not vulnerable. This issue did not affect Xen as shipped with Red Hat Enterprise
Linux 5.


Note You need to log in before you can comment on or make changes to this bug.